io.vertx.groovy.ext.consul

## Class ConsulClient_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.ext.consul.ConsulClient_GroovyExtension

-     public class ConsulClient_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsulClient_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConsulClient` | `agentInfo(ConsulClient j_receiver, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `catalogNodes(ConsulClient j_receiver, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `catalogNodeServices(ConsulClient j_receiver, String node, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `catalogNodeServicesWithOptions(ConsulClient j_receiver, String node, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `catalogNodesWithOptions(ConsulClient j_receiver, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `catalogServiceNodes(ConsulClient j_receiver, String service, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `catalogServiceNodesWithOptions(ConsulClient j_receiver, String service, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `catalogServices(ConsulClient j_receiver, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `catalogServicesWithOptions(ConsulClient j_receiver, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `coordinateDatacenters(ConsulClient j_receiver, Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)`
    `static ConsulClient` | `coordinateNodes(ConsulClient j_receiver, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `coordinateNodesWithOptions(ConsulClient j_receiver, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `createAclToken(ConsulClient j_receiver, Map<String,Object> token, Handler<AsyncResult<String>> idHandler)`
    `static ConsulClient` | `createSessionWithOptions(ConsulClient j_receiver, Map<String,Object> options, Handler<AsyncResult<String>> idHandler)`
    `static ConsulClient` | `fireEvent(ConsulClient j_receiver, String name, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `fireEventWithOptions(ConsulClient j_receiver, String name, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `getValue(ConsulClient j_receiver, String key, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `getValues(ConsulClient j_receiver, String keyPrefix, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `getValuesWithOptions(ConsulClient j_receiver, String keyPrefix, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `getValueWithOptions(ConsulClient j_receiver, String key, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `healthServiceNodes(ConsulClient j_receiver, String service, boolean passing, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `healthServiceNodesWithOptions(ConsulClient j_receiver, String service, boolean passing, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `infoAclToken(ConsulClient j_receiver, String id, Handler<AsyncResult<Map<String,Object>>> tokenHandler)`
    `static ConsulClient` | `infoSession(ConsulClient j_receiver, String id, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `infoSessionWithOptions(ConsulClient j_receiver, String id, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `listAclTokens(ConsulClient j_receiver, Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)`
    `static ConsulClient` | `listEvents(ConsulClient j_receiver, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `listEventsWithOptions(ConsulClient j_receiver, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `listNodeSessions(ConsulClient j_receiver, String nodeId, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `listNodeSessionsWithOptions(ConsulClient j_receiver, String nodeId, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `listSessions(ConsulClient j_receiver, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `listSessionsWithOptions(ConsulClient j_receiver, Map<String,Object> options, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `localChecks(ConsulClient j_receiver, Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)`
    `static ConsulClient` | `localServices(ConsulClient j_receiver, Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)`
    `static ConsulClient` | `maintenanceService(ConsulClient j_receiver, Map<String,Object> maintenanceOptions, Handler<AsyncResult<Void>> resultHandler)`
    `static ConsulClient` | `putValueWithOptions(ConsulClient j_receiver, String key, String value, Map<String,Object> options, Handler<AsyncResult<Boolean>> resultHandler)`
    `static ConsulClient` | `registerCheck(ConsulClient j_receiver, Map<String,Object> checkOptions, Handler<AsyncResult<Void>> resultHandler)`
    `static ConsulClient` | `registerService(ConsulClient j_receiver, Map<String,Object> serviceOptions, Handler<AsyncResult<Void>> resultHandler)`
    `static ConsulClient` | `renewSession(ConsulClient j_receiver, String id, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `transaction(ConsulClient j_receiver, Map<String,Object> request, Handler<AsyncResult<Map<String,Object>>> resultHandler)`
    `static ConsulClient` | `updateAclToken(ConsulClient j_receiver, Map<String,Object> token, Handler<AsyncResult<String>> idHandler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsulClient_GroovyExtension

          public ConsulClient_GroovyExtension()

  - ### Method Detail

    - #### agentInfo

          public static ConsulClient agentInfo(ConsulClient j_receiver,
                                               Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### coordinateNodes

          public static ConsulClient coordinateNodes(ConsulClient j_receiver,
                                                     Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### coordinateNodesWithOptions

          public static ConsulClient coordinateNodesWithOptions(ConsulClient j_receiver,
                                                                Map<String,Object> options,
                                                                Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### coordinateDatacenters

          public static ConsulClient coordinateDatacenters(ConsulClient j_receiver,
                                                           Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)

    - #### getValue

          public static ConsulClient getValue(ConsulClient j_receiver,
                                              String key,
                                              Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### getValueWithOptions

          public static ConsulClient getValueWithOptions(ConsulClient j_receiver,
                                                         String key,
                                                         Map<String,Object> options,
                                                         Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### getValues

          public static ConsulClient getValues(ConsulClient j_receiver,
                                               String keyPrefix,
                                               Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### getValuesWithOptions

          public static ConsulClient getValuesWithOptions(ConsulClient j_receiver,
                                                          String keyPrefix,
                                                          Map<String,Object> options,
                                                          Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### putValueWithOptions

          public static ConsulClient putValueWithOptions(ConsulClient j_receiver,
                                                         String key,
                                                         String value,
                                                         Map<String,Object> options,
                                                         Handler<AsyncResult<Boolean>> resultHandler)

    - #### transaction

          public static ConsulClient transaction(ConsulClient j_receiver,
                                                 Map<String,Object> request,
                                                 Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### createAclToken

          public static ConsulClient createAclToken(ConsulClient j_receiver,
                                                    Map<String,Object> token,
                                                    Handler<AsyncResult<String>> idHandler)

    - #### updateAclToken

          public static ConsulClient updateAclToken(ConsulClient j_receiver,
                                                    Map<String,Object> token,
                                                    Handler<AsyncResult<String>> idHandler)

    - #### listAclTokens

          public static ConsulClient listAclTokens(ConsulClient j_receiver,
                                                   Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)

    - #### infoAclToken

          public static ConsulClient infoAclToken(ConsulClient j_receiver,
                                                  String id,
                                                  Handler<AsyncResult<Map<String,Object>>> tokenHandler)

    - #### fireEvent

          public static ConsulClient fireEvent(ConsulClient j_receiver,
                                               String name,
                                               Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### fireEventWithOptions

          public static ConsulClient fireEventWithOptions(ConsulClient j_receiver,
                                                          String name,
                                                          Map<String,Object> options,
                                                          Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### listEvents

          public static ConsulClient listEvents(ConsulClient j_receiver,
                                                Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### listEventsWithOptions

          public static ConsulClient listEventsWithOptions(ConsulClient j_receiver,
                                                           Map<String,Object> options,
                                                           Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### registerService

          public static ConsulClient registerService(ConsulClient j_receiver,
                                                     Map<String,Object> serviceOptions,
                                                     Handler<AsyncResult<Void>> resultHandler)

    - #### maintenanceService

          public static ConsulClient maintenanceService(ConsulClient j_receiver,
                                                        Map<String,Object> maintenanceOptions,
                                                        Handler<AsyncResult<Void>> resultHandler)

    - #### catalogServiceNodes

          public static ConsulClient catalogServiceNodes(ConsulClient j_receiver,
                                                         String service,
                                                         Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### catalogServiceNodesWithOptions

          public static ConsulClient catalogServiceNodesWithOptions(ConsulClient j_receiver,
                                                                    String service,
                                                                    Map<String,Object> options,
                                                                    Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### catalogNodes

          public static ConsulClient catalogNodes(ConsulClient j_receiver,
                                                  Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### catalogNodesWithOptions

          public static ConsulClient catalogNodesWithOptions(ConsulClient j_receiver,
                                                             Map<String,Object> options,
                                                             Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### healthServiceNodes

          public static ConsulClient healthServiceNodes(ConsulClient j_receiver,
                                                        String service,
                                                        boolean passing,
                                                        Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### healthServiceNodesWithOptions

          public static ConsulClient healthServiceNodesWithOptions(ConsulClient j_receiver,
                                                                   String service,
                                                                   boolean passing,
                                                                   Map<String,Object> options,
                                                                   Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### catalogServices

          public static ConsulClient catalogServices(ConsulClient j_receiver,
                                                     Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### catalogServicesWithOptions

          public static ConsulClient catalogServicesWithOptions(ConsulClient j_receiver,
                                                                Map<String,Object> options,
                                                                Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### catalogNodeServices

          public static ConsulClient catalogNodeServices(ConsulClient j_receiver,
                                                         String node,
                                                         Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### catalogNodeServicesWithOptions

          public static ConsulClient catalogNodeServicesWithOptions(ConsulClient j_receiver,
                                                                    String node,
                                                                    Map<String,Object> options,
                                                                    Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### localServices

          public static ConsulClient localServices(ConsulClient j_receiver,
                                                   Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)

    - #### localChecks

          public static ConsulClient localChecks(ConsulClient j_receiver,
                                                 Handler<AsyncResult<List<Map<String,Object>>>> resultHandler)

    - #### registerCheck

          public static ConsulClient registerCheck(ConsulClient j_receiver,
                                                   Map<String,Object> checkOptions,
                                                   Handler<AsyncResult<Void>> resultHandler)

    - #### createSessionWithOptions

          public static ConsulClient createSessionWithOptions(ConsulClient j_receiver,
                                                              Map<String,Object> options,
                                                              Handler<AsyncResult<String>> idHandler)

    - #### infoSession

          public static ConsulClient infoSession(ConsulClient j_receiver,
                                                 String id,
                                                 Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### infoSessionWithOptions

          public static ConsulClient infoSessionWithOptions(ConsulClient j_receiver,
                                                            String id,
                                                            Map<String,Object> options,
                                                            Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### renewSession

          public static ConsulClient renewSession(ConsulClient j_receiver,
                                                  String id,
                                                  Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### listSessions

          public static ConsulClient listSessions(ConsulClient j_receiver,
                                                  Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### listSessionsWithOptions

          public static ConsulClient listSessionsWithOptions(ConsulClient j_receiver,
                                                             Map<String,Object> options,
                                                             Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### listNodeSessions

          public static ConsulClient listNodeSessions(ConsulClient j_receiver,
                                                      String nodeId,
                                                      Handler<AsyncResult<Map<String,Object>>> resultHandler)

    - #### listNodeSessionsWithOptions

          public static ConsulClient listNodeSessionsWithOptions(ConsulClient j_receiver,
                                                                 String nodeId,
                                                                 Map<String,Object> options,
                                                                 Handler<AsyncResult<Map<String,Object>>> resultHandler)

Copyright © 2017. All rights reserved.